Skip to main content
GET
Get zone by external identifier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

externalIdentifier
string
required

Response

OK

Response for zone.

id
string
required

The ID of the zone.

Example:

"zone_01234567890123456789"

name
string | null
required

The name of the zone.

Example:

"Zone 1"

externalId
string | null
required

The external ID of the zone.

Example:

"ext_01234567890123456789"

portalUrl
string | null
required

The portal URL of the zone.

Example:

"https://portal.usenash.com/settings/zones/zone_01234567890123456789"

coverageArea
Coveragearea · object | null
required

The coverage area of the zone.

Example:
storeLocations
StoreLocationResponse · object[] | null
required

The store locations of the zone.

Example:
storeLocationAssociations
Storelocationassociations · object[] | null
required

The store location associations of the zone.

Example:
zoneRestrictions
ZoneRestrictionResponse · object[] | null
required

The zone restrictions of the zone.

Example:
tags
string[] | null
required

The tags of the zone.

Example:
zoneMetadata
Zonemetadata · object | null
required

The metadata of the zone.

Example:
isDeleted
boolean | null
required

Whether the zone is deleted.

Example:

false